##
##  Makefile to keep the hash symlinks in SSLCACertificatePath up to date
##  Copyright (c) 1998 Ralf S. Engelschall, All Rights Reserved. 
##

SSLEAY=ssleay

update:
	-@rm -f *.0
	-@for file in *.crt; do \
	    if [ ".`grep '(SKIPME)' $$file`" != . ]; then \
			echo "$$file -> [skipped]"; \
		else \
    	    hash="`$(SSLEAY) x509 -noout -hash <$$file`"; \
		    echo "$$file -> $$hash.0"; \
		    rm -f $$hash.0; \
		    ln -s $$file $$hash.0; \
		fi \
	done

